<?php
$href = null;
// Button Link
if ( $consultancy_team_link !== '' ) { $href = vc_build_link($consultancy_team_link); }
?>
<div class="st-team-wraper st-team-<?php echo esc_attr($consultancy_team_template).' '.esc_attr($consultancy_team_extra_class);?>">

    <div class="st-team-inner clearfix">
        <div class="st-team-name-image clearfix">
            <?php
            $consultancy_team_image_url = '';
            if (!empty($consultancy_team_image)) {
                $attachment_image = wp_get_attachment_image_src($consultancy_team_image, 'thumbnail');
                $consultancy_team_image_url = $attachment_image[0];
            }
            ?>
            <?php if($consultancy_team_image_url):?>
                <div class="st-team-image pull-left">
                    <img alt="<?php echo esc_attr(get_post_meta( $consultancy_team_image, '_wp_attachment_image_alt', true )) ?>" src="<?php echo esc_attr($consultancy_team_image_url);?>" />
                </div>
            <?php endif;?>
        </div>

        <?php if($consultancy_team_title):?>
            <div class="st-team-meta">
                <?php if ( $consultancy_team_link !== '' ) { ?>
                    <h3 class="st-team-name">
                        <a href="<?php echo esc_url($href['url']); ?>"><?php echo esc_attr($consultancy_team_title);?></a>
                    </h3>
                <?php }else{ ?>
                    <h3 class="st-team-name">
                        <?php echo esc_attr($consultancy_team_title);?>
                    </h3>
                <?php } ?>
                <small class="st-team-position primary-color">
                    <?php echo esc_attr($consultancy_team_position); ?>
                </small>
            </div>
        <?php endif;?>

        <div class="st-team-social">
            <?php if($consultancy_team_facebook) {?>
                <a class="team-social" title="Facebook" href="<?php echo esc_attr($consultancy_team_facebook); ?>" target="_blank"><i class="fa fa-facebook"></i></a>
            <?php } ?>
            <?php if($consultancy_team_twitter) {?>
                <a class="team-social" title="Twitter" href="<?php echo esc_attr($consultancy_team_twitter); ?>" target="_blank"><i class="fa fa-twitter"></i></a>
            <?php } ?>
            <?php if($consultancy_team_pinterest) {?>
                <a class="team-social" title="Pinterest" href="<?php echo esc_attr($consultancy_team_pinterest); ?>" target="_blank"><i class="fa fa-pinterest-p"></i></a>
            <?php } ?>
            <?php if($consultancy_team_linkedin) {?>
                <a class="team-social" title="Linkedin" href="<?php echo esc_attr($consultancy_team_linkedin); ?>" target="_blank"><i class="fa fa-linkedin"></i></a>
            <?php } ?>
            <?php if($consultancy_team_google) {?>
                <a class="team-social" title="Google" href="<?php echo esc_attr($consultancy_team_google); ?>" target="_blank"><i class="fa fa-google"></i></a>
            <?php } ?>
        </div>

    </div>
</div>