<?php
vc_map(
	array(
		"name" => esc_html__("AB Pricing Table", "consultancy"),
	    "base" => "st_pricing",
	    "class" => "vc-st-pricing",
	    "category" => esc_html__("ThemeAmber", "consultancy"),
	    "params" => array(
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Shortcode Template","consultancy"),
                "param_name" => "st_template",
                "shortcode" => "st_pricing",
                "value" => array(
                    "Layout 1" => "layout1",
                ),
                "admin_label" => true,
                "group" => esc_html__("General", "consultancy"),
            ),
	        array(
	            "type" => "dropdown",
	            "heading" => esc_html__("Content Align","consultancy"),
	            "param_name" => "content_align",
	            "value" => array(
	            	"Default" => "text-default",
	            	"Left" => "text-left",
	            	"Right" => "text-right",
	            	"Center" => "text-center"
	            	),
	            "group" => esc_html__("General", "consultancy")
	        ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra Class","consultancy"),
                "param_name" => "class",
                "description" => esc_html__("Extra Class","consultancy"),
                "group" => esc_html__("General", "consultancy")
            ),
	        array(
	            "type" => "textfield",
	            "heading" => esc_html__("Title","consultancy"),
	            "param_name" => "title",
	            "description" => esc_html__("Title of Pricing","consultancy"),
	            "group" => esc_html__("Pricing Table", "consultancy")
	        ),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Price","consultancy"),
				"param_name" => "price",
				"description" => esc_html__("Price (insert number)","consultancy"),
				"group" => esc_html__("Pricing Table", "consultancy")
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Time","consultancy"),
				"param_name" => "time",
				"description" => esc_html__("Time","consultancy"),
				"group" => esc_html__("Pricing Table", "consultancy")
			),
	        array(
	            "type" => "textarea",
	            "heading" => esc_html__("Description","consultancy"),
	            "param_name" => "description",
	            "description" => esc_html__("Description","consultancy"),
	            "group" => esc_html__("Pricing Table", "consultancy")
	        ),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Popular","consultancy"),
				"param_name" => "popular",
				"description" => esc_html__("Popular","consultancy"),
				"group" => esc_html__("Button", "consultancy")
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Button Text', 'consultancy' ),
				'param_name'  => 'button_text',
				'group' => esc_html__("Button", "consultancy"),
				'description' => esc_html__( 'Text on the button.', 'consultancy' ),
			),
			array(
				'type'        => 'vc_link',
				'heading'     => esc_html__( 'URL (Link)', 'consultancy' ),
				'param_name'  => 'link',
				'description' => esc_html__( 'Button link.', 'consultancy' ),
				'group' => esc_html__("Button", "consultancy"),
			),
		)
	)
);

class WPBakeryShortCode_st_pricing extends WPBakeryShortCode
{
	function content( $atts, $content = null ) {

        $atts_extra = shortcode_atts(array(
            'st_template' => 'layout1',
            'title' => '',
            'popular' => '',
            'description' => '',
            'price' => '',
            'time' => '',
            'button_text' => '',
            'link' => '',
            'content_align' => 'text-default',
            'class' => '',
        ), $atts);


        $atts = array_merge($atts_extra,$atts);

		global $consultancy_pricing_template, $consultancy_pricing_title, $consultancy_pricing_popular, $consultancy_pricing_description, $consultancy_pricing_price, $consultancy_pricing_time, $consultancy_pricing_button_text, $consultancy_pricing_button_link, $consultancy_pricing_content_align, $consultancy_pricing_extra_class;

		$consultancy_pricing_template = $atts['st_template'];
		$consultancy_pricing_title = $atts['title'];
		$consultancy_pricing_popular = $atts['popular'];
		$consultancy_pricing_description = $atts['description'];
		$consultancy_pricing_price = $atts['price'];
		$consultancy_pricing_time = $atts['time'];
		$consultancy_pricing_button_text = $atts['button_text'];
		$consultancy_pricing_button_link = $atts['link'];
		$consultancy_pricing_content_align = $atts['content_align'];
		$consultancy_pricing_extra_class = $atts['class'];

		$st_template = $atts['st_template'];

		ob_start();

		require(get_template_directory() . '/inc/vc_extend/layout/pricing-' . $st_template . '.php');

        return ob_get_clean();
    }

}
?>